Package qsardes.descriptor.qsarme

# Class QsarMEDetourMatrix

java.lang.Object
qsardes.descriptor.DescriptorDetourMatrix
qsardes.descriptor.qsarme.QsarMEDetourMatrix

All Implemented Interfaces:
  `Descriptor`

public final class QsarMEDetourMatrix extends DescriptorDetourMatrix
Detour matrix descriptors (QSAR-ME Profiler 2025).
Calculates detour matrix descriptors.
Returns
SpMax_Dz - Leading eigenvalue.
SpDiam_Dz - Spectral diameter.
SpAD_Dz - Spectral absolute deviation.
SpMAD_Dz - Spectral mean absolute deviation.
EE_Dz - Estrada-like index.
VE1_Dz - Coefficient sum of the last eigenvector.
VE2_Dz - Average coefficient sum of the last eigenvector.
VE3_Dz - Logarithmic coefficient sum of the last eigenvector.
VR1_Dz - Randic-like eigenvector-based index.
VR2_Dz - Normalized Randic-like eigenvector-based index
VR3_Dz - Logarithmic Randic-like eigenvector-based index.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarMEDetourMatrix()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected double`
  `calculate_sp_ve1_sum(UtilsCalc utils_calc, double[][] eig_vec_array)`
  `protected double`
  `calculate_sp_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, UtilsCalc utils_calc, double[][] eig_vec_array)`
  `protected double`
  `get_sp_ve1_sum(double sp_ve1_sum)`
  `protected double`
  `get_ve3(double sp_ve1_sum, int atom_count)`
  `protected double`
  `get_vr3(double vr1_sum, int atom_count)`

  ### Methods inherited from class qsardes.descriptor.DescriptorDetourMatrix

  `get_descriptor_names, get_descriptor_type, get_descriptor_values, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarMEDetourMatrix

    public QsarMEDetourMatrix()

- ## Method Details

  - ### calculate_sp_ve1_sum

    protected double calculate_sp_ve1_sum(UtilsCalc utils_calc, double[][] eig_vec_array)
    Specified by:
      `calculate_sp_ve1_sum` in class `DescriptorDetourMatrix`

  - ### calculate_sp_vr1_sum

    protected double calculate_sp_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, UtilsCalc utils_calc, double[][] eig_vec_array)
    Specified by:
      `calculate_sp_vr1_sum` in class `DescriptorDetourMatrix`

  - ### get_sp_ve1_sum

    protected double get_sp_ve1_sum(double sp_ve1_sum)
    Specified by:
      `get_sp_ve1_sum` in class `DescriptorDetourMatrix`

  - ### get_ve3

    protected double get_ve3(double sp_ve1_sum, int atom_count)
    Specified by:
      `get_ve3` in class `DescriptorDetourMatrix`

  - ### get_vr3

    protected double get_vr3(double vr1_sum, int atom_count)
    Specified by:
      `get_vr3` in class `DescriptorDetourMatrix`